All of lore.kernel.org
 help / color / mirror / Atom feed
From: Fam Zheng <famz@redhat.com>
To: qemu-devel@nongnu.org
Cc: berrange@redhat.com, "Alex Bennée" <alex.bennee@linaro.org>,
	"Fam Zheng" <famz@redhat.com>,
	"Philippe Mathieu-Daudé" <f4bug@amsat.org>,
	"Peter Maydell" <peter.maydell@linaro.org>,
	stefanha@redhat.com, "Cleber Rosa" <crosa@redhat.com>,
	pbonzini@redhat.com, eblake@redhat.com,
	"Kamil Rytarowski" <kamil@netbsd.org>
Subject: [Qemu-devel] [PATCH v5 06/12] tests: Add FreeBSD image
Date: Thu, 31 Aug 2017 14:42:56 +0800	[thread overview]
Message-ID: <20170831064302.14427-7-famz@redhat.com> (raw)
In-Reply-To: <20170831064302.14427-1-famz@redhat.com>

The image is prepared following instructions as in:

https://wiki.qemu.org/Hosts/BSD

Signed-off-by: Fam Zheng <famz@redhat.com>
---
 tests/vm/freebsd | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100755 tests/vm/freebsd

diff --git a/tests/vm/freebsd b/tests/vm/freebsd
new file mode 100755
index 0000000000..6840da0bf0
--- /dev/null
+++ b/tests/vm/freebsd
@@ -0,0 +1,42 @@
+#!/usr/bin/env python
+#
+# FreeBSD VM image
+#
+# Copyright (C) 2017 Red Hat Inc.
+#
+# Authors:
+#  Fam Zheng <famz@redhat.com>
+#
+# This work is licensed under the terms of the GNU GPL, version 2.  See
+# the COPYING file in the top-level directory.
+#
+
+import os
+import sys
+import subprocess
+import basevm
+
+class FreeBSDVM(basevm.BaseVM):
+    name = "freebsd"
+    BUILD_SCRIPT = """
+        set -e;
+        cd $(mktemp -d /var/tmp/qemu-test.XXXXXX);
+        tar -xf /dev/vtbd1;
+        ./configure {configure_opts};
+        gmake -j{jobs};
+        gmake check;
+    """
+
+    def build_image(self, img):
+        cimg = self._download_with_cache("http://download.patchew.org/freebsd-11.1-amd64.img.xz",
+                sha256sum='adcb771549b37bc63826c501f05121a206ed3d9f55f49145908f7e1432d65891')
+        img_tmp_xz = img + ".tmp.xz"
+        img_tmp = img + ".tmp"
+        subprocess.check_call(["cp", "-f", cimg, img_tmp_xz])
+        subprocess.check_call(["xz", "-df", img_tmp_xz])
+        if os.path.exists(img):
+            os.remove(img)
+        os.rename(img_tmp, img)
+
+if __name__ == "__main__":
+    sys.exit(basevm.main(FreeBSDVM))
-- 
2.13.5

  parent reply	other threads:[~2017-08-31  6:44 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-31  6:42 [Qemu-devel] [PATCH v5 00/12] tests: Add VM based build tests (for non-x86_64 and/or non-Linux) Fam Zheng
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 01/12] gitignore: Ignore vm test images Fam Zheng
2017-09-01 20:32   ` Philippe Mathieu-Daudé
2017-09-05  2:01     ` Fam Zheng
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 02/12] qemu.py: Add "wait()" method Fam Zheng
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 03/12] scripts: Add archive-source.sh Fam Zheng
2017-09-01 20:31   ` Philippe Mathieu-Daudé
2017-09-05  2:03     ` Fam Zheng
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 04/12] tests: Add vm test lib Fam Zheng
2017-08-31 15:59   ` Philippe Mathieu-Daudé
2017-09-01  8:39     ` Fam Zheng
2017-09-01  9:21       ` Daniel P. Berrange
2017-09-01  9:29         ` Kamil Rytarowski
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 05/12] tests: Add ubuntu.i386 image Fam Zheng
2017-09-01 19:50   ` Philippe Mathieu-Daudé
2017-09-05  2:00     ` Fam Zheng
2017-08-31  6:42 ` Fam Zheng [this message]
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 07/12] tests: Add NetBSD image Fam Zheng
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 08/12] tests: Add OpenBSD image Fam Zheng
2017-08-31  6:42 ` [Qemu-devel] [PATCH v5 09/12] Makefile: Add rules to run vm tests Fam Zheng
2017-08-31  6:43 ` [Qemu-devel] [PATCH v5 10/12] MAINTAINERS: Add tests/vm entry Fam Zheng
2017-08-31  6:43 ` [Qemu-devel] [PATCH v5 11/12] tests: Add README for vm tests Fam Zheng
2017-08-31  6:43 ` [Qemu-devel] [PATCH v5 12/12] docker: Use archive-source.py Fam Zheng
2017-08-31  6:55 ` [Qemu-devel] [PATCH v5 00/12] tests: Add VM based build tests (for non-x86_64 and/or non-Linux) no-reply
2017-08-31 14:04 ` Kamil Rytarowski
2017-08-31 14:27   ` Peter Maydell
2017-08-31 14:42     ` Kamil Rytarowski
2017-08-31 14:49   ` Fam Zheng

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170831064302.14427-7-famz@redhat.com \
    --to=famz@redhat.com \
    --cc=alex.bennee@linaro.org \
    --cc=berrange@redhat.com \
    --cc=crosa@redhat.com \
    --cc=eblake@redhat.com \
    --cc=f4bug@amsat.org \
    --cc=kamil@netbsd.org \
    --cc=pbonzini@redhat.com \
    --cc=peter.maydell@linaro.org \
    --cc=qemu-devel@nongnu.org \
    --cc=stefanha@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.